package org.apidesign.apifest08.currency;

/** This is the skeleton class for your API. You need to make it public, so
 * it is accessible to your client code (currently in Task1Test.java) file.
 * <p>
 * Feel free to create additional classes or rename this one, just keep all
 * the API and its implementation in this package. Do not spread it outside
 * to other packages.
 */
public interface Convertor {

    /**
     * converts amount in first currency to amount second currency.
     * @param amountInCents the amount of first currency in cents (or equivalent)
     * @return the amount in the second currency in cents (or equivalent)
     */
    public long convertTo(long amountInCents);


    /**
     * converts from second currency amount to first currency amount.
     * @param amountInCents the amount of second currency in cents (or equivalent)
     * @return the amount in the first currency in cents (or equivalent)
     */
    public long convertFrom(long amountInCents);
}
